Package org.apache.cxf.buslifecycle

# Interface BusLifeCycleListener

All Known Subinterfaces:
  `BusLifeCycleManager`

All Known Implementing Classes:
  `CXFBusLifeCycleManager`, `DelayedCachedOutputStreamCleaner`, `ServerRegistryImpl`

public interface BusLifeCycleListener
The listener interface for receiving notification of `Bus` lifecycle events. A class that implements this interface will have its methods called when the associated lifecycle events occur. An implementing class must register itself with the Bus through the `BusLifeCycleManager` interface.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `initComplete()`
  Invoked when the `Bus` has been initialized.
  `void`
  `postShutdown()`
  Invoked after the `Bus` is shutdown.
  `void`
  `preShutdown()`
  Invoked before the `Bus` is shutdown.

- ## Method Details

  - ### initComplete

    void initComplete()
    Invoked when the `Bus` has been initialized.

  - ### preShutdown

    void preShutdown()
    Invoked before the `Bus` is shutdown.

  - ### postShutdown

    void postShutdown()
    Invoked after the `Bus` is shutdown.